Create a content pillar
curl --request POST \
--url https://app.heyoo.ai/api/content-pillars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"color": "blue",
"status": "published"
}
'import requests
url = "https://app.heyoo.ai/api/content-pillars"
payload = {
"title": "<string>",
"description": "<string>",
"color": "blue",
"status": "published"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>', color: 'blue', status: 'published'})
};
fetch('https://app.heyoo.ai/api/content-pillars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"color": "red",
"status": "published",
"authorId": "<string>",
"workspaceId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#internal-server_error"
}
}Content Pillars
Create a content pillar
Create a new content pillar for the authenticated workspace.
POST
/
content-pillars
Create a content pillar
Authorizations
Default authentication mechanism
Body
application/json
The title of the content pillar to create.
Required string length:
1 - 100An optional description of the content pillar.
Maximum string length:
1500The color of the content pillar.
Available options:
red, yellow, green, blue, purple, brown The status of the content pillar.
Available options:
published, archived Response
The created content pillar
The unique ID of the content pillar.
The title of the content pillar.
The description of the content pillar.
The color of the content pillar.
Available options:
red, yellow, green, blue, purple, brown The status of the content pillar.
Available options:
published, archived The ID of the user who created this pillar.
The ID of the workspace this pillar belongs to.
When the content pillar was created.
When the content pillar was last updated.
Was this page helpful?

